import request from '@/utils/request'

// 查询订单详情列表
export function listLiveOrderPayments(query) {
  return request({
    url: '/live/order/payment',
    method: 'get',
    params: query
  })
}
// 查询订单详情列表
export function exportLiveOrderPayments(query) {
  return request({
    url: '/live/order/payment/export',
    method: 'get',
    params: query
  })
}

// 查询支付明细详细
export function getLivePayment(paymentId) {
  return request({
    url: '/live/order/payment/' + paymentId,
    method: 'get'
  })
}

// 修改支付明细
export function updateLivePayment(data) {
  return request({
    url: '/live/order/payment',
    method: 'put',
    data: data
  })
}
